import time
import gaugette.rotary_encoder
import gaugette.gpio
import gaugette.switch

A_PIN  = 5
B_PIN  = 4
SW_PIN = 2

gpio = gaugette.gpio.GPIO()
encoder = gaugette.rotary_encoder.RotaryEncoder(gpio, A_PIN, B_PIN)
encoder.start()
switch = gaugette.switch.Switch(gpio, SW_PIN)
last_state = None
sw = gaugette.switch.Switch(gpio, SW_PIN)
last_state = sw.get_state()

while True:
  delta = encoder.get_cycles()
  state = sw.get_state()
  if state != last_state:
    print "switch %d" % state
    last_state = state

  if delta!=0:
    print "rotate %d" % delta
  else:
    time.sleep(0.1)

